lxdream.org :: Issues
lxdream 0.9.1
released Jun 29
Download Now

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000009lxdreamPVR2public2006-08-03 19:062006-08-03 19:07
Reporternkeynes 
Assigned Tonkeynes 
PrioritynormalSeveritymajorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000009: Renderer tracking bug
DescriptionGeneral tracking bug for all renderer related issues.

Note: need to setup a test framework for rendering tests, in similar vein to the TA test suite.
TagsNo tags attached.
Milestone0.9
Attached Files

- Relationships
parent of 0000008resolvednkeynes Implement render-to-texture 
parent of 0000006closednkeynes Implement shadow volumes 
parent of 0000005closednkeynes Implement translucent poly sorting 
parent of 0000002closednkeynes Implement VQ decompression 
parent of 0000010resolvednkeynes Backplane rendering 
parent of 0000016resolvednkeynes Polygon blending incorrect 
parent of 0000025assignednkeynes Texture test cases 
parent of 0000026closednkeynes Support for bumpmaps 
parent of 0000027closednkeynes Implement GL framebuffers 
parent of 0000030closednkeynes Depth buffer problems 
parent of 0000029resolvednkeynes Frustum clipping bug 
parent of 0000032resolvednkeynes Implement shader programs (GLSL) 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2006-08-03 19:06 nkeynes New Issue
2006-08-03 19:07 nkeynes Assigned To => nkeynes
2006-08-03 19:07 nkeynes Severity minor => major
2006-08-03 19:07 nkeynes Status new => assigned
2006-08-03 19:07 nkeynes Category AICA => PVR2
2006-08-03 19:08 nkeynes Relationship added parent of 0000008
2006-08-03 19:08 nkeynes Relationship added parent of 0000006
2006-08-03 19:08 nkeynes Relationship added parent of 0000005
2006-08-03 19:09 nkeynes Relationship added parent of 0000002
2006-08-03 19:13 nkeynes Relationship added parent of 0000010
2006-09-12 17:44 nkeynes Relationship added parent of 0000016
2007-01-16 20:27 nkeynes Relationship added parent of 0000025
2007-01-17 17:06 nkeynes Relationship added parent of 0000026
2007-02-04 18:25 nkeynes Relationship added parent of 0000027
2007-02-06 19:33 nkeynes Relationship added parent of 0000030
2007-02-06 19:33 nkeynes Relationship added parent of 0000029
2007-02-11 16:41 nkeynes Relationship added parent of 0000032
2008-02-03 18:22 nkeynes Milestone => 0.9
.